#pragma once

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>

#if HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif

struct console {
	FILE *read_fp;
	FILE *fp;
};

struct console *console_init(unsigned dev_id);
struct console *console_init_fd(unsigned dev_id, FILE* rfd, FILE* wfd);
int console_peek(char *c, struct console *console, int block);
int console_getc(char *c, struct console *console);
int console_getline(struct console *console, char *buf, size_t n);
ssize_t console_read(struct console *console, char *buf, size_t n);
